/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.block;

import net.minecraft.util.StringRepresentable;
import org.jetbrains.annotations.NotNull;

public enum VaultState implements StringRepresentable {
    INACTIVE("inactive"),
    ACTIVE("active"),      // 已开启（闸门打开，但不再弹出物品）
    EJECTING("ejecting");   // 正在弹出物品

    private final String name;
    VaultState(String name) { this.name = name; }
    @Override public @NotNull String getSerializedName() { return name; }
}